ProLiant Servers (ML,DL,SL)
cancel
Showing results for 
Search instead for 
Did you mean: 

hp-snmp-agents.x86_64/net-snmp-5.4 dependency problems

SOLVED
Go to solution
jseeley
Occasional Contributor

hp-snmp-agents.x86_64/net-snmp-5.4 dependency problems

I am trying to install hp-snmp-agents.x86_64 version 8.6.0.18 through the HP-proliantsupportpack yum repository on RHEL 5.5 x86_64. However, it seems that because I have net-snmp-5.4 (as opposed to net-snmp-5.3), it is complaining about dependencies:

--> Finished Dependency Resolution
hp-snmp-agents-8.6.0.18-17.x86_64 from HP-proliantsupportpack has depsolving problems
--> Missing Dependency: libnetsnmpagent.so.10()(64bit) is needed by package hp-snmp-agents-8.6.0.18-17.x86_64 (HP-proliantsupportpack)
hp-snmp-agents-8.6.0.18-17.x86_64 from HP-proliantsupportpack has depsolving problems
--> Missing Dependency: libsensors.so.3()(64bit) is needed by package hp-snmp-agents-8.6.0.18-17.x86_64 (HP-proliantsupportpack)
hp-snmp-agents-8.6.0.18-17.x86_64 from HP-proliantsupportpack has depsolving problems
--> Missing Dependency: libnetsnmphelpers.so.10()(64bit) is needed by package hp-snmp-agents-8.6.0.18-17.x86_64 (HP-proliantsupportpack)
hp-snmp-agents-8.6.0.18-17.x86_64 from HP-proliantsupportpack has depsolving problems
--> Missing Dependency: libnetsnmp.so.10()(64bit) is needed by package hp-snmp-agents-8.6.0.18-17.x86_64 (HP-proliantsupportpack)
hp-snmp-agents-8.6.0.18-17.x86_64 from HP-proliantsupportpack has depsolving problems
--> Missing Dependency: libnetsnmpmibs.so.10()(64bit) is needed by package hp-snmp-agents-8.6.0.18-17.x86_64 (HP-proliantsupportpack)
Error: Missing Dependency: libsensors.so.3()(64bit) is needed by package hp-snmp-agents-8.6.0.18-17.x86_64 (HP-proliantsupportpack)
Error: Missing Dependency: libnetsnmphelpers.so.10()(64bit) is needed by package hp-snmp-agents-8.6.0.18-17.x86_64 (HP-proliantsupportpack)
Error: Missing Dependency: libnetsnmpmibs.so.10()(64bit) is needed by package hp-snmp-agents-8.6.0.18-17.x86_64 (HP-proliantsupportpack)
Error: Missing Dependency: libnetsnmpagent.so.10()(64bit) is needed by package hp-snmp-agents-8.6.0.18-17.x86_64 (HP-proliantsupportpack)
Error: Missing Dependency: libnetsnmp.so.10()(64bit) is needed by package hp-snmp-agents-8.6.0.18-17.x86_64 (HP-proliantsupportpack)

With net-snmp-5.4, the libraries that are installed are *.so.15.

Is there a way to install hp-snmp-agents.x86_64 version 8.6.0.18 with net-snmp-5.4?

Thank you,

Jacob
5 REPLIES
SMR
Valued Contributor

Re: hp-snmp-agents.x86_64/net-snmp-5.4 dependency problems

I've installed up to 8.50 on 5.5 64bit boxes, can't really tell you if it works or not but just to give you a little insight here, you also have a dependecy problem with lmsensors (libsensors).

I've seen this kind of problem when people install a 32bit net-snmp package by mistake, other than that I have no suggestions for now.
Modris Bremze
Esteemed Contributor
Solution

Re: hp-snmp-agents.x86_64/net-snmp-5.4 dependency problems

Have you tried making soft links to libs installed by net-snmp-5.4 e.g. libnetsnmpmibs.so.10 -> libnetsnmpmibs.so.15
jseeley
Occasional Contributor

Re: hp-snmp-agents.x86_64/net-snmp-5.4 dependency problems

I do realize I have the lmsensors dependency problem as well. The lmsensors libraries it is looking for is for lmsensors 2.*. We have lmsensors 3 installed.

I've thought about making symlinks but there are just too many dependencies. I'm considering forcing the install but I don't' have a non-production server to test this out on.

RHEL 5.5 ships with net-snmp-5.3 standard but there are bug fixes that we needed to take advantage of with net-snmp-5.4. I noticed that RHEL 6 is based off of Fedora 12/13 and they use net-snmp-5.4 so I'm guessing RHEL 6 will too and HP will have to update their RPMs.

I wish I could get this working sooner...
SMR
Valued Contributor

Re: hp-snmp-agents.x86_64/net-snmp-5.4 dependency problems

I'll be installing 8.60 on some test RHEL 5.5 x86_64 boxes tomorrow.I'll let you know if I find anything.

Cheers.
jseeley
Occasional Contributor

Re: hp-snmp-agents.x86_64/net-snmp-5.4 dependency problems

I have solved this.

What I had to do was create symlinks for each missing dependency. For example, I have libnetsnmpagent.so.15 installed, so I created a symlink called libnetsnmpagent.so.10 that pointed to libnetsnmpagent.so.15. However, this doesn't update RPM's database so trying to install hp-snmp-agents through yum or rpm still doesn't work. I had to download the rpm onto the server and use the --nodeps flag of rpm to install hp-snmp-agents and voila, it worked!

I can now see all of the hardware components in SHM. So far no errors - hopefully running hp-snmp-agents like this proves to be stable.